%define name trophy
%define version 1.0.1
%define release 4mdk
%define prefix %{_prefix}
%define summary TROPHY is a 2D car racing action game for Linux.

Name: %{name}
Summary: %{summary}
Version: %{version}
Release: %{release}
Source: http://download.sourceforge.net/trophy/%{name}-%{version}-src.tar.bz2
Source1: %{name}.16.xpm.bz2
Source2: %{name}.32.xpm.bz2
Patch0: trophy-add-pkgdatadir.patch.bz2
Patch1: trophy-add-pkgdatadir2.patch.bz2
URL: http://trophy.sourceforge.net/index.php3
Copyright: GPL
Group: Games/Arcade
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: zlib-devel Hermes-devel ClanLib-devel
Requires: Hermes ClanLib

%description
Trophy is a single-player racing game for Linux. Even though the goal is
basically to finish the laps as the first, Trophy is an action game which
offers much more than just a race. Lots of extras enable "unusual" features for
races such as shooting, putting mines and many others.

%prep
%setup -q -n %{name}-%{version}-src
%patch0 -p0
%patch1 -p0

%build
cd trophy
rm config.cache
%configure --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}
%make
make resources.dat

%install
rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT/%{_gamesbindir}
cp trophy/trophy $RPM_BUILD_ROOT/%{_gamesbindir}
mkdir -p $RPM_BUILD_ROOT/%{_gamesdatadir}/trophy
cp trophy/resources.dat $RPM_BUILD_ROOT/%{_gamesdatadir}/trophy
mkdir -p $RPM_BUILD_ROOT/%{_gamesdatadir}/trophy/resources
cp -a trophy/resources/tracks $RPM_BUILD_ROOT/%{_gamesdatadir}/trophy/resources/tracks
cp -a trophy/resources/cars $RPM_BUILD_ROOT/%{_gamesdatadir}/trophy/resources/cars
rm -rf $RPM_BUILD_ROOT/%{_gamesdatadir}/trophy/resources/*/{CVS,*/CVS}

mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/launch_x11_clanapp %{_gamesbindir}/%{name}" icon="%{name}.xpm" \
  needs="x11" section="Amusement/Arcade" title="Trophy" \
  longtitle="%{summary}"
EOF

mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_gamesbindir}/*
%{_gamesdatadir}/*
%{_menudir}/%{name}
%{_miconsdir}/%{name}.xpm
%{_iconsdir}/%{name}.xpm

%changelog
* Wed Sep  6 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-4mdk
- menu: now launches automatically the x11 target

* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-3mdk
- automatically added packager tag

* Wed Aug 16 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-2mdk
- really work (forgot support for PKGDATADIR in some places, forgot
  some data)

* Wed Aug 16 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-1mdk
- first mdk package. thanks to alix.


